Skip to content

deployment_environment_get

Get a single environment by id

Tool

deployment_environment_get

Get a single environment by id

Get a single environment by id

Behavior

HTTP
GET /deployment/environments/:id

Arguments

Name
Type
Required
Description
id
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
slug
string
•
type
string
•
status
string
•
prBranch
string
•
prNumber
integer
•
createdAt
string
•
expiresAt
string
•
updatedAt
string
•
isProduction
boolean
•
repoFullName
string
•
lastErrorMessage
string
•
baseEnvironmentId
string
•

Try it

Get a single environment by id.

When to use

Get a single environment by id

Example

Ask your agent something like this:

Get a single environment by id.

The agent will invoke deployment_environment_get with these arguments:

{
  "id": "<id>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select